ur_rna.GUITester.GuiTools

## Class GuiRobot

- java.lang.Object
- - abbot.tester.Robot
  - - ur_rna.GUITester.GuiTools.GuiRobot

- All Implemented Interfaces:
    abbot.tester.AWTConstants

      public class GuiRobot
      extends abbot.tester.Robot

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GuiRobot.ModifierKey` These constants correspond to numbers used in abbot.Robot to set and test for modifier keys.

    - ### Nested classes/interfaces inherited from class abbot.tester.Robot

      `abbot.tester.Robot.ConditionEDTDecorator`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private AppLog` | `_log`
    `private GuiAppManager` | `_owner`
    `static int` | `DEFAULT_POLL_TIME` Number of milliseconds to sleep between attempts to poll for a component.
    `static int` | `DEFAULT_TEST_WAIT_TIME` Total number of milliseconds to wait for a GUI component, when simply testing for its existence.
    `static int` | `DEFAULT_WAIT_TIME` Total number of milliseconds to wait for a GUI component to be created, before returning an error.
    `int` | `GuiWaitTime`

    - ### Fields inherited from class abbot.tester.Robot

      `componentDelay, defaultDelay, DRAG_DELAY, EM_AWT, EM_ROBOT, IDLE_TIMEOUT, MOUSELESS_MODIFIER, MOUSELESS_MODIFIER_MASK, popupDelay, popupJitterDelay, REALSYNC_IDLE_TIMEOUT, REALSYNC_IDLE_TIMEOUT_DEFAULT`

    - ### Fields inherited from interface abbot.tester.AWTConstants

      `BUTTON_MASK, COPY_MASK, DRAG_THRESHOLD, LINK_MASK, MENU_SHORTCUT_KEYCODE, MENU_SHORTCUT_MASK, MENU_SHORTCUT_MODIFIER, MENU_SHORTCUT_STRING, MOVE_MASK, MULTI_CLICK_INTERVAL, POPUP_MASK, POPUP_MODIFIER, POPUP_ON_PRESS, TERTIARY_MASK, TERTIARY_MODIFIER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiRobot(GuiAppManager owner)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doAction(java.lang.String action, java.lang.Object[] args)`
    `java.awt.Component` | `evalGuiRef(java.lang.Object gui)`
    `java.awt.Component` | `evalGuiRef(java.lang.Object gui, boolean required)`
    `java.awt.Component` | `evalGuiRef(java.lang.Object gui, boolean required, boolean allowNullGuiRef, int timeout)`
    `static void` | `finalShutdown()` A final shutdown that cleans up some resources the Abbot Robot leaves around.
    `int` | `getSpecialKey(java.lang.String keyName)`
    `void` | `keyClick(int keyCode)`
    `void` | `sendKeyString(java.lang.String s)`
    `void` | `setText(java.awt.Component cmp, java.lang.String text)`
    `void` | `setValue(java.awt.Component cmp, java.lang.Object value)`

    - ### Methods inherited from class abbot.tester.Robot

      `activate, callAndWait, callAndWait, canMoveWindows, canResizeWindows, capture, capture, capture, click, click, click, click, click, close, deiconify, delay, descriptiveClassName, drag, drag, dragOver, drop, findFocusOwner, fireAccessibleAction, focus, focus, getAutoDelay, getBorderTitle, getCanonicalClass, getCloseLocation, getDescriptiveName, getEventID, getEventID, getEventMode, getEventModeDescription, getEventPostDelay, getEventQueue, getIconifyLocation, getIconName, getIndex, getLabel, getMaximizeLocation, getMoveLocation, getName, getPreferredRobotAutoDelay, getResizeLocation, getRobot, getState, getText, getTitle, iconify, invokeAction, invokeAction, invokeAndWait, invokeAndWait, invokeLater, invokeLater, isReadyForInput, jitter, jitter, key, key, keyPress, keyRelease, keyString, keyStroke, maximize, mouseMove, mouseMove, mousePress, mousePress, mousePress, mousePress, mousePress, mouseRelease, mouseRelease, move, moveBy, normalize, postEvent, postInvocationEvent, queueBlocked, reset, resize, resizeBy, sample, sample, sample, selectAWTMenuItem, selectAWTMenuItem, selectAWTMenuItemByLabel, selectAWTPopupMenuItem, selectAWTPopupMenuItem, selectAWTPopupMenuItemByLabel, selectMenuItem, selectMenuItem, selectPopupMenuItem, sendEvent, setAutoDelay, setEventMode, setEventPostDelay, setModifiers, showPopupMenu, showPopupMenu, simpleClassName, sleep, toHierarchyPath, toString, toString, toString, userMovable, userResizable, useScreenMenuBar, wait, wait, wait, waitForIdle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _log

          private AppLog _log

    - #### _owner

          private GuiAppManager _owner

    - #### DEFAULT_POLL_TIME

          public static final int DEFAULT_POLL_TIME

      Number of milliseconds to sleep between attempts to poll for a component.
      See Also:
        Constant Field Values

    - #### DEFAULT_TEST_WAIT_TIME

          public static final int DEFAULT_TEST_WAIT_TIME

      Total number of milliseconds to wait for a GUI component, when simply testing for its existence. (i.e. for "PROHIBIT" etc)
      See Also:
        Constant Field Values

    - #### DEFAULT_WAIT_TIME

          public static final int DEFAULT_WAIT_TIME

      Total number of milliseconds to wait for a GUI component to be created, before returning an error. Can be overridden by setting `GuiWaitTime`.
      See Also:
        Constant Field Values

    - #### GuiWaitTime

          public int GuiWaitTime

  - ### Constructor Detail

    - #### GuiRobot

          public GuiRobot(GuiAppManager owner)

  - ### Method Detail

    - #### doAction

          public void doAction(java.lang.String action,
                               java.lang.Object[] args)
                        throws RuntimeTools.ActionException,
                               GuiItemNotFoundException

      Throws:
        `RuntimeTools.ActionException`
        `GuiItemNotFoundException`

    - #### evalGuiRef

          public java.awt.Component evalGuiRef(java.lang.Object gui)
                                        throws GuiItemNotFoundException

      Throws:
        `GuiItemNotFoundException`

    - #### evalGuiRef

          public java.awt.Component evalGuiRef(java.lang.Object gui,
                                               boolean required)
                                        throws GuiItemNotFoundException

      Throws:
        `GuiItemNotFoundException`

    - #### evalGuiRef

          public java.awt.Component evalGuiRef(java.lang.Object gui,
                                               boolean required,
                                               boolean allowNullGuiRef,
                                               int timeout)
                                        throws GuiItemNotFoundException

      Throws:
        `GuiItemNotFoundException`

    - #### finalShutdown

          public static void finalShutdown()

      A final shutdown that cleans up some resources the Abbot Robot leaves around. If this is not called, the application will hang for 60 seconds after it closes.

    - #### getSpecialKey

          public int getSpecialKey(java.lang.String keyName)

    - #### keyClick

          public void keyClick(int keyCode)

    - #### sendKeyString

          public void sendKeyString(java.lang.String s)

    - #### setText

          public void setText(java.awt.Component cmp,
                              java.lang.String text)
                       throws RuntimeTools.ActionArgumentException

      Throws:
        `RuntimeTools.ActionArgumentException`

    - #### setValue

          public void setValue(java.awt.Component cmp,
                               java.lang.Object value)
                        throws RuntimeTools.ActionArgumentException

      Throws:
        `RuntimeTools.ActionArgumentException`